### Class

# Gio Emblem

#### Description [src]

    final class Gio.Emblem : GObject.Object {
      /* No available fields */
    }

`GEmblem` is an implementation of `GIcon` that supports having an emblem, which is an icon with additional properties. It can than be added to a `GEmblemedIcon`.

Currently, only metainformation about the emblem’s origin is supported. More may be added in the future.

#### Ancestors

- GObject

#### Implements

- GIcon

#### Constructors

###### g_emblem_new

Creates a new emblem for `icon`.

since: 2.18

###### g_emblem_new_with_origin

Creates a new emblem for `icon`.

since: 2.18

#### Instance methods

###### g_emblem_get_icon

Gives back the icon from `emblem`.

since: 2.18

###### g_emblem_get_origin

Gets the origin of the emblem.

since: 2.18

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GIcon (4)

###### g_icon_equal

Checks if two icons are equal.

###### g_icon_hash

Gets a hash for an icon.

###### g_icon_serialize

Serializes a `GIcon` into a `GVariant`. An equivalent `GIcon` can be retrieved back by calling `g_icon_deserialize()` on the returned value. As serialization will avoid using raw icon data when possible, it only makes sense to transfer the `GVariant` between processes on the same machine, (as opposed to over the network), and within the same file system namespace.

since: 2.38

###### g_icon_to_string

Generates a textual representation of `icon` that can be used for serialization such as when passing `icon` to a different process or saving it to persistent storage. Use `g_icon_new_for_string()` to get `icon` back from the returned string.

since: 2.20

#### Properties

###### Gio.Emblem:icon

The actual icon of the emblem.

since: 2.18

###### Gio.Emblem:origin

The origin the emblem is derived from.

since: 2.18

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GioEmblemClass {
      /* no available fields */
    }

No description available.